<?xml version='1.0' encoding='utf-8' standalone='yes' ?>
<game-dnd-policy version="18" toast_enabled="true"
        activity_enabled="true" vibration_enabled="true" custom_activity_enabled="true" notification_list_enabled="true">
    <!-- About toast / overlay window -->
    <allow-overlay-window package="air.tv.douyu.android" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="cmccwm.mobilemusic" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="cn.kuwo.player" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.asus.calculator" game-mode="GAME_DND_CALL"/>
    <allow-overlay-window package="com.asus.gamewidget" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.asus.launcher" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.asus.launcher3" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.asus.screenrecorder" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.asus.taskwidget" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.duowan.kiwi" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.duowan.live" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.duowan.mobile" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.facebook.orca" game-mode="GAME_DND_CALL"/>
    <allow-overlay-window package="com.fdg.flashplay.farsee" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.gameabc.zhanqiAndroid" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.huajiao" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.iflytek.inputmethod.custom" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.immomo.momo" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.kugou.android" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.miHoYo.Yuanshen" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.netease.cloudmusic" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.pulsenet.inputset" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.smile.gifmaker" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.ss.android.article.video" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.ss.android.ugc.aweme" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.ss.android.ugc.aweme.lite" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.ss.android.ugc.live" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.tencent.gamehelper.pg" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.tencent.gamehelper.smoba" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.tencent.mobileqq" game-mode="GAME_DND_NOTIFICATION"/>
    <allow-overlay-window package="com.tencent.qqmusic" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.tencent.weishi" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.tftplay.jcc" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.zuoyou.center" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.xiaoji.xtouch" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="fm.xiami.main" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="com.kuaishou.nebula" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="tv.acfundanmaku.video" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <allow-overlay-window package="tv.danmaku.bili" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <!-- About activity -->
    <deny-activity component="com.facebook.orca/com.facebook.rtc.activities.WebrtcIncallFragmentHostActivity" game-mode="GAME_DND_CALL"/>
    <deny-activity component="com.facebook.orca/com.facebook.rtc.activities.WebrtcResizeableIncallFragmentHostActivity" game-mode="GAME_DND_CALL"/>
    <deny-activity component="com.kugou.android.ringtone/com.kugou.android.ringtone.vshow.activity.PhoneCallActivity" game-mode="GAME_DND_CALL"/>
    <deny-activity component="com.skype.raider/com.skype.raider.Main" game-mode="GAME_DND_CALL"/>
    <deny-activity component="com.tencent.mm/com.tencent.mm.plugin.voip.ui.VideoActivity" game-mode="GAME_DND_CALL"/>
    <deny-activity component="com.tencent.mobileqq/com.tencent.av.ui.VideoInviteActivity" game-mode="GAME_DND_CALL"/>
    <deny-activity component="com.tencent.mobileqq/com.tencent.av.ui.VideoInviteFull" game-mode="GAME_DND_CALL"/>
    <deny-activity component="com.tencent.mobileqq/com.tencent.av.ui.VChatActivity" game-mode="GAME_DND_CALL"/>
    <deny-activity component="jp.naver.line.android/com.linecorp.voip.ui.base.VoIPServiceActivity" game-mode="GAME_DND_CALL"/>
    <deny-activity component="jp.naver.line.android/jp.naver.line.android.activity.pushdialog.PushDialogActivity" game-mode="GAME_DND_NOTIFICATION"/>
    <deny-activity component="jp.naver.line.android/jp.naver.line.android.activity.pushdialog.PushDialogSleepActivity" game-mode="GAME_DND_NOTIFICATION"/>
    <deny-activity component="com.viber.voip/com.viber.voip.phone.PhoneFragmentActivity" game-mode="GAME_DND_CALL"/>
    <deny-activity component="com.viber.voip/com.viber.voip.WakeUpViberActivity" game-mode="GAME_DND_CALL"/>
    <deny-activity component="com.whatsapp/com.whatsapp.voipcalling.VoipActivityV2" game-mode="GAME_DND_CALL"/>
    <!-- About Sound -->
    <deny-sound package="com.facebook.orca" usage="USAGE_VOICE_COMMUNICATION" game-mode="GAME_DND_CALL"/>
    <deny-sound package="com.tencent.mobileqq" usage="USAGE_UNKNOWN" game-mode="GAME_DND_NOTIFICATION"/>
    <!-- About vibration -->
    <deny-vibration package="com.facebook.orca" usage="USAGE_UNKNOWN" game-mode="GAME_DND_CALL"/>
    <deny-vibration package="com.facebook.orca" usage="USAGE_NOTIFICATION" game-mode="GAME_DND_CALL"/>
    <deny-vibration package="com.skype.raider" usage="USAGE_UNKNOWN" game-mode="GAME_DND_CALL"/>
    <deny-vibration package="com.tencent.mm" usage="USAGE_UNKNOWN" game-mode="GAME_DND_CALL"/>
    <deny-vibration package="com.tencent.mobileqq" usage="USAGE_UNKNOWN" game-mode="GAME_DND_NOTIFICATION | GAME_DND_CALL"/>
    <deny-vibration package="com.whatsapp" usage="USAGE_UNKNOWN" game-mode="GAME_DND_CALL"/>
    <deny-vibration package="jp.naver.line.android" usage="USAGE_UNKNOWN" game-mode="GAME_DND_CALL"/>
    <!--- About custom activity, used for GAME_DND_CUSTOM_ACTIVITY -->
    <custom-activity component="com.tencent.mm/com.tencent.mm.plugin.voip.ui.VideoActivity" show="true" game-mode="GAME_DND_CALL" />
    <custom-activity component="com.tencent.mobileqq/com.tencent.av.ui.VideoInviteActivity" show="true" game-mode="GAME_DND_CALL" />
    <custom-activity component="com.tencent.mobileqq/com.tencent.av.ui.VideoInviteFull" show="true" game-mode="GAME_DND_CALL" />
    <custom-activity component="com.tencent.mobileqq/com.tencent.av.ui.VChatActivity" show="false" game-mode="GAME_DND_CALL" />
    <!-- About notification -->
    <deny-notification-list package="com.facebook.orca" ntag="NULL" category="NULL" groupkey="NULL" keywords="call, voip" game-mode="GAME_DND_CALL"/>
    <deny-notification-list package="com.facebook.orca" ntag="NOT_NULL" category="NULL" groupkey="NULL" keywords="messaging" game-mode="GAME_DND_CALL"/>
    <deny-notification-list package="com.skype.raider" ntag="NULL" category="msg" groupkey="NOT_NULL" keywords="call" game-mode="GAME_DND_CALL"/>
    <deny-notification-list package="com.viber.voip" ntag="NOT_NULL" category="msg" groupkey="NULL" keywords="call" game-mode="GAME_DND_CALL"/>
    <deny-notification-list package="jp.naver.line.android" ntag="NULL" category="msg" groupkey="NULL" keywords="call, voip" game-mode="GAME_DND_CALL"/>
    <deny-notification-list package="jp.naver.line.android" ntag="NOT_NULL" category="msg" groupkey="NULL" keywords="call, voip" game-mode="GAME_DND_CALL"/>
</game-dnd-policy>
